Neuinstallation auf lokalem Server resultiert in "Old Admidio version 1.x or 2.x config file detected! ...."

Hast du Probleme Admidio einzurichten? Hier kannst du Fragen rund um die Einrichtung stellen.
Antworten
Strohbach
Beiträge: 1
Registriert: 13. Feb 2024, 09:29

Neuinstallation auf lokalem Server resultiert in "Old Admidio version 1.x or 2.x config file detected! ...."

Beitrag von Strohbach »

Moin zusammen!

Vorab sei gesagt, dass ich von PHP, MariaDB und alldem keine bis wenig Ahnung habe, also seht mir offensichtliche Fehler bitte nach.
Trotz mehrtägiger Recherche in diesem und dem englischen Forum finde ich keine Lösung für mein Problem:

Ich möchte Admidio auf einem lokalen physischen Server einrichten, der nur über das bürointerne Netzwerk zu erreichen ist, also per IP-Adresse. Zugang von außen soll nicht möglich sein.
Dafür wird ein eigenes Lenovo Thinkcentre M93p Tiny (8 GB RAM, 240 GB SSD, i5 4590T) an der Fritzbox mittels LAN-Kabel angeschlossen, welches eine feste IP4-Adresse zugewiesen bekommt.
Auf dem Lenovo ist ganz frisch Ubuntu Server 22.04 installiert, keine weitere Software (außer nano und zip unzip.
Über SSH nehme ich dann von meinem Rechner aus die weitere Installation vor.

Für die Installation von Admidio bin ich dieser Anleitung gefolgt: https://www.blogarama.com/web-design-an ... -1604-vps sowie diesem Video https://www.youtube.com/watch?v=tTjpnb_AfPg
habe aber stattdessen die aktuelle Admidio-Version 4.3.3https://sourceforge.net/projects/admidi ... p/download auf den Server heruntergeladen und entpackt.
Außerdem installierte ich PHP in der Version PHP 8.1.2-1ubuntu2.14 (cli) (built: Aug 18 2023 11:41:11) und
MariaDB in der Version Ver 15.1 Distrib 10.6.16-MariaDB, for debian-linux-gnu (x86_64).

Wenn ich nun im Browser (aktuelle Firefox-Version) die IP-Adresse des Servers mit URL (also http://192.168.178.183/index.php) aufrufe kommt folgender Text:
---------
Old Admidio version 1.x or 2.x config file detected! Please update first to the latest version 3 of Admidio and after that you can perform an update to version 4!

Please view our documentation.'); } else { // no config file found than show installation dialog header('Location: adm_program/installation/index.php'); exit(); } } require_once(__DIR__ . '/adm_program/system/common.php'); if (isset($gHomepage)) { admRedirect($gHomepage); // => EXIT } else { // if parameter gHomepage doesn't exists then show default page admRedirect(ADMIDIO_URL . '/adm_program/overview.php'); // => EXIT }
---------

Wie kann das denn sein, wenn alles frisch installiert ist und die aktuellste Version von Admidio heruntergeladen wurde?

Ich hoffe, dass ihr einen Rat oder Hinweis für mich habt und danke schonmal für eure Zeit.

Strohbach
Benutzeravatar
fasse
Administrator
Beiträge: 6109
Registriert: 12. Nov 2005, 16:06

Re: Neuinstallation auf lokalem Server resultiert in "Old Admidio version 1.x or 2.x config file detected! ...."

Beitrag von fasse »

Also die Ausgabe sieht sehr seltsam aus. Dort wird auch PHP code direkt mit ausgegeben. Das klingt für mich irgendwie danach, als wäre PHP nicht sauber installiert.

Die Fehlermeldung selber kommt, wenn im Hauptordner, dort wo die Ordner adm_program, adm_plugins usw. liegen, eine config.php hinterlegt ist. Das sollte nicht sein, wird aber bei dir wahrscheinlich auch nicht so sein.

Irgendwas stimmt an deiner Einrichtung noch nicht. Hast du andere PHP-Scripte, welche bei deiner Installation laufen?
Antworten